Subject: [Idr] FW: BGP yang data model question

From: "Susan Hares" <[email-masked]>
Date: Mon, 13 Nov 2017 17:43:12 -0500

Forwarding comments from Himanshu.

Sue Hares 

From: Shah, Himanshu [mailto:[email-masked]] 
Sent: Monday, November 13, 2017 1:48 AM
To: Keyur Patel; Susan Hares; 'Xufeng Liu'
Subject: Re: BGP yang data model question

Forwarding as reminder as per today’s WG question.

Please see at the bottom for the information.

Thanks,

Himanshu

From: Keyur Patel <[email-masked]>
Date: Friday, September 22, 2017 at 2:47 AM
To: "Shah, Himanshu" <[email-masked]>, Susan Hares <[email-masked]>, 'Xufeng Liu' <[email-masked]>
Subject: Re: BGP yang data model question

Hi Himanshu,

As Sue mentioned we should have an updated model soon for you to review. Furthermore, some of the commands you listed MAY NOT be present in the base model as they belong in what we call as augmented model. The breakdown detail will be made available soon.

Hope all is well otherwise. J

Regards,

Keyur

From: "Shah, Himanshu" <[email-masked]>
Date: Thursday, September 21, 2017 at 11:45 AM
To: Susan Hares <[email-masked]>, 'Xufeng Liu' <[email-masked]>, Keyur Patel <[email-masked]>
Subject: Re: BGP yang data model question

Sue –

We are in the middle of implementation and would like to see this resolved sooner than later.

Any relief you can offer?

Thanks,

Himanshu

From: Susan Hares <[email-masked]>
Date: Thursday, September 21, 2017 at 2:36 PM
To: 'Xufeng Liu' <[email-masked]>, "Shah, Himanshu" <[email-masked]>, 'Keyur Patel' <[email-masked]>
Subject: RE: BGP yang data model question

Xufeng:

We’re working on a revision to the BGP model.  I’m mid-way through checking the model.  Let me finish that so you can see it, and then I’ll send these questions over the weekend. 

Sue Hares

From: Xufeng Liu [mailto:[email-masked]] 
Sent: Thursday, September 21, 2017 9:19 AM
To: Shah, Himanshu; [email-masked]; Keyur Patel
Subject: RE: BGP yang data model question

Sending to Keyur’s correct email address.

Thanks,

- Xufeng

From: Xufeng Liu 
Sent: Wednesday, September 20, 2017 9:22 PM
To: 'Shah, Himanshu' <[email-masked]>; [email-masked]; [email-masked]
Subject: RE: BGP yang data model question

Hi Himanshu,

These configuration attributes were existing in the draft https://tools.ietf.org/html/draft-zhdankin-idr-bgp-cfg-00, which was merged with https://tools.ietf.org/html/draft-shaikh-idr-bgp-model-01 later on. These attributes were taken out after the merge. I think that the reason was because of the OC philosophy of taking minimum commonly used feature set. It is good that you are bringing up this topic again, which can be further discussed.

I believe that Keyur may have more to say on this.

Thanks,

- Xufeng

From: Shah, Himanshu [mailto:[email-masked]] 
Sent: Wednesday, September 20, 2017 9:05 PM
To: Xufeng Liu <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: BGP yang data model question

Now with right sue’s address..

Thanks,

Himanshu

From: "Shah, Himanshu" <[email-masked]>
Date: Wednesday, September 20, 2017 at 8:59 PM
To: Xufeng Liu <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: BGP yang data model question

Including Keyur and Sue Hares..

Hi Keyur and Sue –

Can you answer the question below?

It seems like there are bunch of configurable on per address family per neighbor,

But IDR yang data model does not support it.

Cisco and other routers do support these configurables (seems like they have their own yang data file).

Do you know why such limitation in IDR yang data model?

Thanks,

Himanshu

From: "Shah, Himanshu" <[email-masked]>
Date: Tuesday, September 19, 2017 at 6:30 PM
To: Xufeng Liu <[email-masked]>
Subject: BGP yang data model

Hi Xufeng –

Why are below attributes not available at per neighbor per address family in BGP IETF yang data model?

Cisco supports them in their legacy BGP implementation.

ipservices(config)#router bgp 100

ipservices(config-router)#address-family vpnv4 unicast

ipservices(config-router-af)#neighbor 1.1.1.1 ?

activate Enable the Address Family for this Neighbor

additional-paths Additional paths in the BGP table

advertise Advertise to this neighbor

allow-ebgp-vpn Allow VPN Routes to be exchanged over EBGP connection

allowas-in Accept as-path with my AS present in it

attribute-unchanged BGP attribute is propagated unchanged to this neighbor

distribute-list Filter updates to/from this neighbor

filter-list Establish BGP filters

maximum-prefix Maximum number of prefix accept from this peer

next-hop-self Disable the next hop calculation for this neighbor

prefix-list Filter updates to/from this neighbor

remove-private-AS Remove private AS number from outbound updates

route-map Apply route map to neighbor

route-reflector-client Configure a neighbor as Route Reflector client

route-server-client Configure a neighbor as Route Server client

send-community Send Community attribute to this neighbor

weight Set default weight for routes from this neighbor

ipservices(config-router-af)#neighbor 1.1.1.1

Thanks,

Himanshu